org.activiti.engine.delegate.event.impl

## Class ActivitiActivityEventImpl

- java.lang.Object
- - org.activiti.engine.delegate.event.impl.ActivitiEventImpl
  - - org.activiti.engine.delegate.event.impl.ActivitiActivityEventImpl

- All Implemented Interfaces:
    ActivitiActivityEvent, ActivitiEvent
  Direct Known Subclasses:
    ActivitiActivityCancelledEventImpl, ActivitiErrorEventImpl, ActivitiMessageEventImpl, ActivitiSignalEventImpl

      public class ActivitiActivityEventImpl
      extends ActivitiEventImpl
      implements ActivitiActivityEvent

  Implementation of an `ActivitiActivityEvent`.
  Author:
    Frederik Heremans, Joram Barrez

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `activityId`
    `protected String` | `activityName`
    `protected String` | `activityType`
    `protected String` | `behaviorClass`

    - ### Fields inherited from class org.activiti.engine.delegate.event.impl.ActivitiEventImpl

      `executionId, processDefinitionId, processInstanceId, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActivitiActivityEventImpl(ActivitiEventType type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getActivityId()`
    `String` | `getActivityName()`
    `String` | `getActivityType()`
    `String` | `getBehaviorClass()`
    `void` | `setActivityId(String activityId)`
    `void` | `setActivityName(String activityName)`
    `void` | `setActivityType(String activityType)`
    `void` | `setBehaviorClass(String behaviorClass)`

    - ### Methods inherited from class org.activiti.engine.delegate.event.impl.ActivitiEventImpl

      `getEngineServices, getExecutionId, getProcessDefinitionId, getProcessInstanceId, getType, setExecutionId, setProcessDefinitionId, setProcessInstanceId, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.activiti.engine.delegate.event.ActivitiEvent

      `getEngineServices, getExecutionId, getProcessDefinitionId, getProcessInstanceId, getType`

- - ### Field Detail

    - #### activityId

          protected String activityId

    - #### activityName

          protected String activityName

    - #### activityType

          protected String activityType

    - #### behaviorClass

          protected String behaviorClass

  - ### Constructor Detail

    - #### ActivitiActivityEventImpl

          public ActivitiActivityEventImpl(ActivitiEventType type)

  - ### Method Detail

    - #### getActivityId

          public String getActivityId()

      Specified by:
        `getActivityId` in interface `ActivitiActivityEvent`
      Returns:
        the id of the activity this event is related to. This corresponds to an id defined in the process definition.

    - #### setActivityId

          public void setActivityId(String activityId)

    - #### getActivityName

          public String getActivityName()

      Specified by:
        `getActivityName` in interface `ActivitiActivityEvent`
      Returns:
        the name of the activity this event is related to.

    - #### setActivityName

          public void setActivityName(String activityName)

    - #### getActivityType

          public String getActivityType()

      Specified by:
        `getActivityType` in interface `ActivitiActivityEvent`
      Returns:
        the type of the activity (if set during parsing).

    - #### setActivityType

          public void setActivityType(String activityType)

    - #### getBehaviorClass

          public String getBehaviorClass()

      Specified by:
        `getBehaviorClass` in interface `ActivitiActivityEvent`
      Returns:
        the behaviourclass of the activity (if it could be determined)

    - #### setBehaviorClass

          public void setBehaviorClass(String behaviorClass)

Copyright © 2016 Alfresco. All rights reserved.